#!/bin/bash
# Цей скрипт слідкує за директорією і виконує дії при створенні нових файлів

WATCH_DIR="$HOME/watch"  # Встановлення шляху до директорії, за якою слідкувати

# Запуск inotifywait для моніторингу нових файлів у вказаній директорії
inotifywait -m -e create --format '%w%f' "$WATCH_DIR" | while read -r FILE
do
    # Ігнорування тимчасових файлів, які створюються текстовими редакторами
    if [[ $FILE != *".swp" && $FILE != *".swx" && $FILE != .* ]]; then
        # Перевірка, чи файл існує, перш ніж намагатися його обробити
        if [ -f "$FILE" ]; then
            echo "Новий файл $FILE створено."
            cat "$FILE"
            mv "$FILE" "$FILE.back"
        else
            echo "Файл $FILE не знайдено або це тимчасовий файл."
        fi
    fi
done